// ID:编号, StartRank:开始排名, EndRank:结束排名, Jackpot:奖池百分比, RewardItme:奖励道具, RewardCount:奖励数量

export default class M_ActivitySmashEggRankingCFG {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"Jackpot":40,"RewardItme":[27,17],"RewardCount":[12,50]}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"Jackpot":30,"RewardItme":[27,17],"RewardCount":[8,40]}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"Jackpot":15,"RewardItme":[27,17],"RewardCount":[5,30]}

      ,"4":{"ID":4,"StartRank":4,"EndRank":5,"Jackpot":5,"RewardItme":[27,17],"RewardCount":[3,20]}

      ,"5":{"ID":5,"StartRank":6,"EndRank":10,"Jackpot":1,"RewardItme":[27,17],"RewardCount":[1,10]}

      }// ID:编号, StartRank:开始排名, EndRank:结束排名, Jackpot:奖池百分比, RewardItme:奖励道具, RewardCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}